Subject: phone # for Brion Herb Company

From: [email-masked] (Toly)
Date: Wed, 9 Aug 1995 00:10:51 UTC

Does anybody know the phone number for the Brion (sp?) Herb Company?

Thanks,

Send replies to [email-masked]

----------------------------------------------------------------------------
To find out more about the anon service, send mail to [email-masked].
If you reply to this message, your message WILL be *automatically* anonymized
and you are allocated an anon id. Read the help file to prevent this.
Please report any problems, inappropriate use etc. to [email-masked].

---

From: [email-masked] (F8azazel)
Date: 9 Aug 1995 01:00:33 -0400

I don't have the phone number, but I do know the company is based in
Norwood, PA. Perhaps you could try information?? Good luck.